package _06_for循环;

import java.util.Scanner;

public class Test6 {
    public static void main(String[] args) {
        /**
         * 登录操作: 用户输入账号和密码
         *
         * 1 登录这里有三次输错密码机会
         * 2 如果三次输入密码都是错误就显示账户已经被锁定(每次输错都显示还剩几次输入密码机会 )
         * 3 三次当中有一次输入的正确就显示登录成功
         *
         * 提醒:
         * 1 创建scanner
         * 2 for 循环3次
         *  2.1 录入账号和密码
         *  2.2 判断是否正确
         *  2.3 如果正确 就break
         *  2.4 如果错误打印错误
         */
        Scanner scanner = new Scanner(System.in);
        int count = 0;
        for (int i = 0; i < 3; i++) {
            System.out.println("请输入账号");
            String account = scanner.next();
            System.out.println("请输入密码");
            String password = scanner.next();

            // 123@qq.com  123
            if (account.equals("123@qq.com") && password.equals("123")) {
                System.out.println("登录成功");
                break;
            } else {
                // 每次失败都让count 进行+1
                count++;
                System.out.println("账号和密码不匹配错误 您还有" + (3 - count) + "次");
                // count ==  3 表示密码输入的次数已经达到最多次数了
                if (count == 3) {
                    System.out.println("账号已经被锁定了");
                }
            }
        }
    }
}
